---
title: "Create campaign device format targeting"
type: reference
method: POST
path: /rest-api/campaign/{campaignId}/targeting/device-format/create.do
tag: "Targeting Rules"
---

# Create campaign device format targeting

`POST https://YOUR-NETWORK-DOMAIN/rest-api/campaign/{campaignId}/targeting/device-format/create.do`

Creates a device format targeting rule. Requires UPDATE permission on the campaign and MANAGE_DEMAND_TARGETING user permission.

## Path params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `campaignId` | integer | yes | `1234` | Unique numeric ID of the campaign |

## Form params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `deviceFormat` | string | yes | `MOBILE` | Device format (DESKTOP, MOBILE, TABLET) |
| `rule` | string | yes | `INCLUDE` | Targeting rule type |

## Responses

- `200` — Success
- `400` — Invalid targeting value
- `401` — Unauthorized
- `403` — Forbidden
- `404` — Campaign not found
- `500` — Internal server error

## Example request

```bash
curl --request POST \
  --url 'https://YOUR-NETWORK-DOMAIN/rest-api/campaign/1234/targeting/device-format/create.do' \
  --header 'X-Api-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/x-www-form-urlencoded' \
  --data-urlencode 'deviceFormat=MOBILE' \
  --data-urlencode 'rule=INCLUDE'
```

Source: https://epom.com/ad-server/docs/api/targeting-rules/post-campaign-targeting-device-format-create